{
    "name": "@pkg/db",
    "module": "index.ts",
    "type": "module",
    "scripts": {
        "db:gen": "drizzle-kit generate --config=drizzle.config.ts",
        "db:drop": "drizzle-kit drop --config=drizzle.config.ts",
        "db:push": "drizzle-kit push --config=drizzle.config.ts",
        "db:migrate": "drizzle-kit generate --config=drizzle.config.ts && drizzle-kit push --config=drizzle.config.ts",
        "db:forcemigrate": "drizzle-kit generate --config=drizzle.config.ts && drizzle-kit push --config=drizzle.config.ts --force",
        "dev": "drizzle-kit studio --config=drizzle.config.ts --verbose"
    },
    "dependencies": {
        "@pkg/settings": "workspace:*",
        "dotenv": "^16.4.7",
        "drizzle-orm": "^0.45.1",
        "postgres": "^3.4.8"
    },
    "devDependencies": {
        "@types/bun": "latest",
        "@types/pg": "^8.11.10",
        "drizzle-kit": "^0.31.9"
    },
    "peerDependencies": {
        "typescript": "^5.9.3"
    }
}
